{% extends "main_template.html" %}

{% load static %}

        {% block title %} Tienda de Ruh70 {% endblock %}


{% block content %}

      <div class="container" style="width:100%">
      <!--Agregando carro de la compra-->
            <div style="float:right; width:25%; margin-top:10px;margin-left:50px;"class="recuadro-carro float-right">
                  
                 {% include "carro/widget.html" %}
            </div>
        
            <div class="row">
         {% for producto in productos %}


            <div class="col-3"> <!-- Tarjetas dentro de las columnas -->

              <div class="card formulario" style="width: 100%; margin: 10px 10px;">
                        <div class="card-header">
                              <h6 style="text-align:center; font-size:15px"> {{producto.nombre}}</h6>

                        </div>

                        <div class="card-body"style="font-size:1rem; text-align:center;">
                              <img src="{{producto.image.url}}" class="card-img-top" alt="imagen {{producto.nombre}}" style="width:60%;">
                              <p class="card-text"style="margin-top:5px;">  $ {{producto.precio}}</p>
                              <p class="card-text"> {{producto.categorias}} </p>
                        
                        </div>
                        <div class="footer text-center" style="background-color:transparent;padding:5px 0px;">
                             <a href="{% url 'carro:agregar_prod' producto.id %}" class="btn btn-outlined btn-light fw-white border-black bg-black"><h6>agregar al carro</h6></a>  
                        </div>
                       
              </div> 
            </div>
            
         {% endfor %}
             </div>
      </div> <!--Cierre de containter-->
     
{%endblock %}
